# BandMath

## Brief Description

Perform a mathematical operation on monoband images

## Tags

Util

## Long Description

This application performs a mathematical operation on monoband images. Mathematical formula interpretation is done via MuParser libraries http://muparser.sourceforge.net/

## Parameters

- [param] -il <string> Image list to perform computation on.. Mandatory: True. Default Value: "0"
- [param] -out <string> Output image.. Mandatory: True. Default Value: ""
- [param] -ram <int32> Available memory for processing (in MB). Mandatory: False. Default Value: "128"
- [param] -exp <string> The mathematical expression to apply. Use im1b1 for the first band, im1b2 for the second one.... Mandatory: True. Default Value: ""

## Limitations

None

## Authors

OTB-Team

## See Also

## Example of use

- il: verySmallFSATSW_r.tif verySmallFSATSW_nir.tif verySmallFSATSW.tif

- out: apTvUtBandMathOutput.tif

- exp: "cos(im1b1)+im2b1*im3b1-im3b2+ndvi(im3b3, im3b4)"